package com.mirs.biz.service;

import java.util.List;
import java.util.Map;

import com.mirs.biz.domain.BrdfData;

/**
 * BRDF数据Service接口
 * 
 * @author kk
 * @date 2025-04-24
 */
public interface IBrdfDataService 
{
    /**
     * 查询BRDF数据
     * 
     * @param id BRDF数据主键
     * @return BRDF数据
     */
    public BrdfData selectBrdfDataById(Long id);

    /**
     * 查询BRDF数据列表
     * 
     * @param brdfData BRDF数据
     * @return BRDF数据集合
     */
    public List<BrdfData> selectBrdfDataList(BrdfData brdfData);

    /**
     * 新增BRDF数据
     * 
     * @param brdfData BRDF数据
     * @return 结果
     */
    public int insertBrdfData(BrdfData brdfData);

    /**
     * 修改BRDF数据
     * 
     * @param brdfData BRDF数据
     * @return 结果
     */
    public int updateBrdfData(BrdfData brdfData);

    /**
     * 批量删除BRDF数据
     * 
     * @param ids 需要删除的BRDF数据主键集合
     * @return 结果
     */
    public int deleteBrdfDataByIds(Long[] ids);

    /**
     * 删除BRDF数据信息
     * 
     * @param id BRDF数据主键
     * @return 结果
     */
    public int deleteBrdfDataById(Long id);

    String importBrdfData(List<BrdfData> brdfDataList, boolean updateSupport, String operName);

    Map getAllAngle();

    List getTemperatureK();
}
